Page 5 of 6

Re: Discuss: phpBB 3.2.2 Release

Posted: Sat Apr 14, 2018 1:22 pm
by canonknipser
GanstaZ wrote:
Sat Apr 14, 2018 1:17 pm
Where do you see the second ucp file?
One is the functional file in the board root, the other the language file in the language folder ;)

Re: Discuss: phpBB 3.2.2 Release

Posted: Sat Apr 14, 2018 1:48 pm
by GanstaZ
Forgot about language files, but if it's not the language file then it can only be a duplicate of functional ucp)

Re: Discuss: phpBB 3.2.2 Release

Posted: Sat Apr 14, 2018 9:05 pm
by John connor
mamba wrote:
Sat Apr 14, 2018 6:30 am

Basically, if you have essential core file edits, it's best to keep a document describing them,
This is what I do since I had nothing but trouble with the auto update package going back to like 3.1.1. Now I just do an over write and mod my files all back to what they were before. Prior to doing that I always had a date & time error in error_log. Now I don't.

I always do a whole FTP wide search for the file error_log, and if I find one I tackle any possible problems.

Re: Discuss: phpBB 3.2.2 Release

Posted: Sat Apr 14, 2018 10:42 pm
by mamba
GanstaZ wrote:
Sat Apr 14, 2018 1:17 pm
mamba wrote:
Sat Apr 14, 2018 3:07 am
  1. ucp.php (text changes only ... and btw there are TWO files called ucp.php in this software, which is dumb)
  2. functions_messenger.php (because of this bug)
  3. overall_header.html (because I have a special slider in the header)
  4. admin_welcome_inactive.txt (specific text changes)
  5. bbcode.html (altered the flash code to play=true and loop=true)
  6. colours.css (color changes for my board)
  1. Where do you see the second ucp file?
  2. It should be fixed in version 3.2.2
  3. Flash is at is end, it should be removed from the core.
  4. Everything that is related to style, create a custom one based on prosilver (copy/paste/rename and do the edits that are needed)
  1. One ucp file in root, one in the language folders
  2. NOT fixed in version 3.2.2
  3. Flash still exists if you embed videos
  4. I use Notepad++ with a Compare plugin to do the matching

Re: Discuss: phpBB 3.2.2 Release

Posted: Sun Apr 15, 2018 12:00 am
by GanstaZ
Isn't it phpbb_mail function you edited?

Code: Select all

// On some PHP Versions mail() *may* fail if there are newlines within the subject.
// Newlines are used as a delimiter for lines in mail_encode() according to RFC 2045 section 6.8.
// Because PHP can't decide what is wanted we revert back to the non-RFC-compliant way of separating by one space (Use '' as parameter to mail_encode() results in SPACE used)
$additional_parameters = $config['email_force_sender'] ? '-f' . $config['board_email'] : '';
$result = mail($to, mail_encode($subject, ''), wordwrap(utf8_wordwrap($msg), 997, "\n", true), $headers, $additional_parameters);

Re: Discuss: phpBB 3.2.2 Release

Posted: Sun Apr 15, 2018 11:52 am
by mamba
GanstaZ wrote:
Sun Apr 15, 2018 12:00 am
Isn't it phpbb_mail function you edited?
No.
http://websmartcentral.com/178/phpbb3-h ... ent-101236

Re: Discuss: phpBB 3.2.2 Release

Posted: Sun Apr 15, 2018 5:10 pm
by kinerity
This was fixed in 3.2.2 - https://github.com/phpbb/phpbb/blob/mas ... 1838-L1842

force_from_email_address.png
force_from_email_address.png (10.51 KiB) Viewed 1356 times

Re: Discuss: phpBB 3.2.2 Release

Posted: Mon Apr 16, 2018 12:06 am
by mamba
kinerity wrote:
Sun Apr 15, 2018 5:10 pm
This was fixed in 3.2.2 - https://github.com/phpbb/phpbb/blob/mas ... 1838-L1842
Thanks! The bug tracker was marked as "RESOLUTION: WON'T FIX" so I assumed that it was not fixed.

You have simplified my life a little :D

Re: Discuss: phpBB 3.2.2 Release

Posted: Fri May 04, 2018 5:42 pm
by danieltj
Good to see a minimum PHP version of 5.4. Are there any further plans to increase this minimum version in future releases?

Re: Discuss: phpBB 3.2.2 Release

Posted: Fri May 04, 2018 8:10 pm
by Crizzo
danieltj wrote:
Fri May 04, 2018 5:42 pm
Good to see a minimum PHP version of 5.4. Are there any further plans to increase this minimum version in future releases?
The next release will need: PHP 5.4.7+ and the next major phpBB 3.3 will need a higher PHP version, what exactly is afaik not yet decided.

Re: Discuss: phpBB 3.2.2 Release

Posted: Tue May 08, 2018 11:29 am
by jumborex
I'm stuck to version 3.2.0 because I cannot upgrade: any type of upgrade I chose, runnig it I receive back:
Catchable fatal error: Argument 1 passed to phpbb\di\container_builder::__construct() must be an instance of phpbb\config_php_file, string given, called in /web/htdocs/www.cantodellasfinge.net/home/phpBB3/in ... tartup.php on line 132 and defined in /web/htdocs/www.cantodellasfinge.net/home/phpBB3/ph ... uilder.php on line 121
Any idea?

Re: Discuss: phpBB 3.2.2 Release

Posted: Tue May 08, 2018 12:12 pm
by kinerity
Please start a topic in the [3.2.x] Support Forum if you are having trouble updating.

Re: Discuss: phpBB 3.2.2 Release

Posted: Tue May 08, 2018 3:19 pm
by kamyk25
New version is really nice I just upgrade my old forum to new 3.22 realase with php 7.2. Thank you!

Re: Discuss: phpBB 3.2.2 Release

Posted: Fri Aug 03, 2018 1:12 am
by WWu777
If I upgrade to phpbb 3.2.2 from 3.2.1, will my extensions still work? Will they be affected?

Re: Discuss: phpBB 3.2.2 Release

Posted: Fri Aug 03, 2018 1:18 am
by RMcGirr83
No one can answer that but you and/or the extension authors.